[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'IntfGraphics' (#lcl)

# TLazIntfImage.CheckDescription

CheckDescription - looks at the supplied Image Description record and returns True if it matches the actual properties of the image.

## Declaration

Source position: intfgraphics.pas line 247

`public function TLazIntfImage.CheckDescription(`
`const ADescription: TRawImageDescription;`
`ExceptionOnError: Boolean`
`):Boolean; virtual;`

## Errors

Generates an exception if an error is encountered in the image description